#

API Docs for: 1.4.3
Show: Inherited Protected Private Deprecated

# Point Class

Defined in: `src/pixi/core/Point.js:5`
Module: PIXI

The Point object represents a location in a two-dimensional coordinate system, where x represents the horizontal axis and y represents the vertical axis.

## Constructor

### `Point`

(

- `x`
- `y`

)

Defined in `src/pixi/core/Point.js:5`

#### Parameters:

- `x` Number

  position of the point

- `y` Number

  position of the point

- Index
- Methods
- Properties

## Item Index

### Methods

- clone

### Properties

- x
- y

## Methods

### `clone`

() Point

Defined in `src/pixi/core/Point.js:30`

Creates a clone of this point

#### Returns:

Point:

a copy of the point

## Properties

### `x`

Number

Defined in `src/pixi/core/Point.js:15`

Default: 0

### `y`

Number

Defined in `src/pixi/core/Point.js:22`

Default: 0